pgpool-II 4.7.2 Documentation
Prev | Up |  | Next

# PGPOOL RESET

## Name

PGPOOL RESET -- restore the value of a configuration parameter to the default value

## Synopsis

       PGPOOL RESET configuration_parameter
       PGPOOL RESET ALL

## Description

`PGPOOL RESET` command restores the value of Pgpool-II configuration parameters to the default value. The default value is defined as the value that the parameter would have had, if no `PGPOOL SET` had ever been issued for it in the current session. This command is similar to the `RESET` command in PostgreSQL with an addition of PGPOOL keyword to distinguish it from the PostgreSQL RESET command.

## Parameters

`configuration_parameter`

  Name of a settable Pgpool-II configuration parameter. Available parameters are documented in Chapter 5.

`ALL`

  Resets all settable Pgpool-II configuration parameters to default values.

## Examples

Reset the value of client_idle_limit parameter:

         PGPOOL RESET client_idle_limit;

Reset the value of all parameter to default:

        PGPOOL RESET ALL;

## See Also

PGPOOL SET, PGPOOL SHOW

Prev | Home | Next
PGPOOL SET CACHE | Up | SHOW POOL STATUS